PHP 手冊
前一頁 |  | 下一頁

# DOMImplementation->createDocumentType()

DOMImplementation->createDocumentType() -- Creates an empty DOMDocumentType object

## Description

class DOMImplementation {
DOMDocumentType createDocumentType ( [string qualifiedName [, string publicId [, string systemId]]] )
}

Creates an empty DOMDocumentType object. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur.

## Parameters

qualifiedName

  The qualified name of the document type to create.

publicId

  The external subset public identifier.

systemId

  The external subset system identifier.

## Return Values

A new DOMDocumentType node with its ownerDocument set to `NULL`.

## Exceptions

`DOM_NAMESPACE_ERR`

  Raised if there is an error with the namespace, as determined by qualifiedName.

## 參考

DOMImplementation->createDocument()

前一頁 | 內容 | 下一頁
DOMImplementation->createDocument() | 上一層 | DOMImplementation->hasFeature()